Registry Model Containers - Get
Tároló lekérése.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/models/{modelName}?api-version=2024-10-01
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
model
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$ |
Tároló neve. Ez a kis- és nagybetűk megkülönböztetése. |
|
registry
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$ |
Az Azure Machine Learning beállításjegyzékének neve. Ez nem érzékeny a kis- és nagybetűkre |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket. |
|
subscription
|
path | True |
string minLength: 1 |
A cél-előfizetés azonosítója. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használni kívánt API-verzió. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
Siker |
|
| Other Status Codes |
Hiba |
Példák
Get Registry Model Container.
Mintakérelem
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models/testContainer?api-version=2024-10-01
Mintaválasz
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registry123/models/testContainer",
"name": "testContainer",
"type": "Microsoft.MachineLearningServices/registries/models",
"properties": {
"description": "Model container description",
"tags": {
"tag1": "value1",
"tag2": "value2"
}
},
"systemData": {
"createdAt": "2020-12-01T12:00:00.000Z",
"createdBy": "John Smith",
"createdByType": "User",
"lastModifiedAt": "2020-12-01T12:00:00.000Z",
"lastModifiedBy": "John Smith",
"lastModifiedByType": "User"
}
}
Definíciók
| Name | Description |
|---|---|
|
Asset |
A beállításjegyzék-objektum kiépítési állapota. |
|
created |
Az erőforrást létrehozó identitás típusa. |
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
|
Model |
|
|
Model |
Azure Resource Manager-erőforrásboríték. |
|
system |
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok. |
AssetProvisioningState
A beállításjegyzék-objektum kiépítési állapota.
| Érték | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Updating | |
| Deleting |
createdByType
Az erőforrást létrehozó identitás típusa.
| Érték | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Name | Típus | Description |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hibacél. |
ErrorResponse
Hibaválasz
| Name | Típus | Description |
|---|---|---|
| error |
A hibaobjektum. |
ModelContainer
| Name | Típus | Alapértelmezett érték | Description |
|---|---|---|---|
| description |
string |
Az eszköz leírásának szövege. |
|
| isArchived |
boolean |
False |
Archiválva van az objektum? |
| latestVersion |
string |
A tároló legújabb verziója. |
|
| nextVersion |
string |
A következő automatikus növekményes verzió |
|
| properties |
object |
Az eszköztulajdonság szótára. |
|
| provisioningState |
A modelltároló kiépítési állapota. |
||
| tags |
object |
Címkeszótár. A címkék hozzáadhatók, eltávolíthatók és frissíthetők. |
ModelContainerResource
Azure Resource Manager-erőforrásboríték.
| Name | Típus | Description |
|---|---|---|
| id |
string |
Az erőforrás teljes erőforrás-azonosítója. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Az erőforrás neve |
| properties |
[Kötelező] Az entitás további attribútumai. |
|
| systemData |
A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok. |
|
| type |
string |
Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts" |
systemData
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.
| Name | Típus | Description |
|---|---|---|
| createdAt |
string (date-time) |
Az erőforrás-létrehozás időbélyege (UTC). |
| createdBy |
string |
Az erőforrást létrehozó identitás. |
| createdByType |
Az erőforrást létrehozó identitás típusa. |
|
| lastModifiedAt |
string (date-time) |
Az erőforrás utolsó módosításának időbélyege (UTC) |
| lastModifiedBy |
string |
Az erőforrást legutóbb módosító identitás. |
| lastModifiedByType |
Az erőforrást legutóbb módosító identitás típusa. |